- updated to 0.4.14 (note: we now use our own rc-scripts repository)
authorMarcin Krol <hawk@tld-linux.org>
Tue, 14 Jul 2015 14:10:41 +0000 (14:10 +0000)
committerMarcin Krol <hawk@tld-linux.org>
Tue, 14 Jul 2015 14:10:41 +0000 (14:10 +0000)
rc-scripts-misc.patch [deleted file]
rc-scripts-net-bond.patch [deleted file]
rc-scripts-net-br.patch [deleted file]
rc-scripts-no_tmpfs_root_fsck.patch [deleted file]
rc-scripts-raid_lvm.patch [deleted file]
rc-scripts-selinuxfs_mount.patch [deleted file]
rc-scripts-sh_fixes.patch [deleted file]
rc-scripts-tld.patch [deleted file]
rc-scripts.spec

diff --git a/rc-scripts-misc.patch b/rc-scripts-misc.patch
deleted file mode 100644 (file)
index 53b0b99..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/lib/functions rc-scripts-0.4.13/lib/functions
---- rc-scripts-0.4.13.orig/lib/functions       2015-02-06 13:41:29.000000000 +0000
-+++ rc-scripts-0.4.13/lib/functions    2015-02-06 13:53:57.590314244 +0000
-@@ -579,7 +579,7 @@ run_cmd() {
-               cd /
-               export HOME=/tmp TMPDIR=/tmp
-               if is_no "$RC_LOGGING"; then
--                      ${user:+setuidgid -s $user} "$@" 2>&1
-+                      ${user:+setuidgid -s $user} eval "$@" 2>&1
-               else
-                       ${user:+setuidgid -s $user} initlog -c "$*" 2>&1
-               fi
-diff -urNp rc-scripts-0.4.13.orig/lib/ifup-vlan rc-scripts-0.4.13/lib/ifup-vlan
---- rc-scripts-0.4.13.orig/lib/ifup-vlan       2015-01-22 16:01:18.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifup-vlan    2015-02-06 13:53:57.585314244 +0000
-@@ -46,7 +46,7 @@ if [ ! -f /etc/sysconfig/interfaces/ifcf
-       exit 1
- fi
--if ! grep -qlE "ONBOOT=[^n][^o]" /etc/sysconfig/interfaces/ifcfg-${VLAN_DEV}; then
-+if ! grep -qlE "ONBOOT=[^n][^o]" /etc/sysconfig/interfaces/ifcfg-${VLAN_DEV} 2>/dev/null; then
-       nls "Warning: ${VLAN_DEV} is disabled on boot."
- fi
-diff -urNp rc-scripts-0.4.13.orig/rc.d/init.d/network rc-scripts-0.4.13/rc.d/init.d/network
---- rc-scripts-0.4.13.orig/rc.d/init.d/network 2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/init.d/network      2015-02-06 13:53:57.589314244 +0000
-@@ -130,7 +130,7 @@ network_interface_configs() {
- find_boot_interfaces() {
-       ifcfg_files="$(network_interface_configs 'ifcfg-*')"
--      bootprio=$(grep '^BOOTPRIO=' $ifcfg_files)
-+      bootprio=$(grep '^BOOTPRIO=' $ifcfg_files 2>/dev/null)
-       if [ -n "$bootprio" ]; then
-               # find all the interfaces besides loopback.
diff --git a/rc-scripts-net-bond.patch b/rc-scripts-net-bond.patch
deleted file mode 100644 (file)
index 3d401ee..0000000
+++ /dev/null
@@ -1,211 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/lib/ifdown rc-scripts-0.4.13/lib/ifdown
---- rc-scripts-0.4.13.orig/lib/ifdown  2015-01-22 16:01:18.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifdown       2015-02-06 13:44:37.910314244 +0000
-@@ -118,11 +118,6 @@ if [ -n "${SUBDEVICE}" ]; then
-       ip addr del ${IP4ADDR} label ${SUBDEVICE} dev ${DEVICE}
- else
-       LC_ALL=C ip addr flush dev ${DEVICE} 2>&1 | grep -v "Nothing to flush"
--
--    if is_yes "$SLAVE"; then
--        ip link set ${DEVICE} nomaster
--    fi
--
-       ip link set ${DEVICE} down
- fi
-diff -urNp rc-scripts-0.4.13.orig/lib/ifdown-bond rc-scripts-0.4.13/lib/ifdown-bond
---- rc-scripts-0.4.13.orig/lib/ifdown-bond     1970-01-01 00:00:00.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifdown-bond  2015-02-06 13:42:15.348314244 +0000
-@@ -0,0 +1,54 @@
-+#!/bin/sh
-+#
-+#    ifdown-bond - bonding configuration script
-+#    Copyright (C) 2014 Marcin Krol <hawk@tld-linux.org>
-+#
-+#    This program is free software; you can redistribute it and/or modify
-+#    it under the terms of the GNU General Public License as published by
-+#    the Free Software Foundation; either version 2 of the License, or
-+#    (at your option) any later version.
-+#
-+#    This program is distributed in the hope that it will be useful,
-+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-+#    GNU General Public License for more details.
-+#
-+#    You should have received a copy of the GNU General Public License
-+#    along with this program; if not, write to the Free Software
-+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-+#
-+#
-+PATH=/sbin:/usr/sbin:/bin:/usr/bin
-+
-+. /etc/sysconfig/network
-+. /etc/rc.d/init.d/functions
-+. /lib/rc-scripts/functions.network
-+
-+CONFIG=$1
-+source_config
-+
-+if [ "x${2}" = "xboot" ] && is_no "${ONBOOT}"; then
-+      exit
-+fi
-+
-+# set all major variables
-+setup_ip_param
-+
-+# forget all addresses
-+LC_ALL=C ip addr flush dev ${DEVICE} 2>&1 | grep -v "Nothing to flush"
-+
-+# release slave devices
-+for SLAVE_DEV in $(cat /sys/class/net/${DEVICE}/bonding/slaves); do
-+      echo "-${SLAVE_DEV}" > /sys/class/net/${DEVICE}/bonding/slaves
-+done
-+
-+# bring bonding master down
-+ip link set ${DEVICE} down
-+
-+# remove bonding master
-+if grep -wq "${DEVICE}" /sys/class/net/bonding_masters; then
-+      echo "-${DEVICE}" > /sys/class/net/bonding_masters
-+      if [ $? -ne 0 ]; then
-+              exit 1
-+      fi
-+fi
-diff -urNp rc-scripts-0.4.13.orig/lib/ifup rc-scripts-0.4.13/lib/ifup
---- rc-scripts-0.4.13.orig/lib/ifup    2015-01-22 16:01:18.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifup 2015-02-06 13:51:40.208314244 +0000
-@@ -120,11 +120,12 @@ if [ -n "$ETHTOOL_OPTS" ] ; then
- fi
- if is_yes "$SLAVE" && [ -n "$MASTER" ] ; then
--    nls "Enslaving %s to %s" "$DEVICE" "$MASTER"
--    ip link set "$DEVICE" master "$MASTER"
--    ip link set "$DEVICE" up
--
--    exit 0
-+      if ! grep -wq "${DEVICE}" /sys/class/net/${MASTER}/bonding/slaves 2>/dev/null; then
-+              nls "Enslaving %s to %s" "$DEVICE" "$MASTER"
-+              ip link set dev ${DEVICE} down
-+              echo "+${DEVICE}" > /sys/class/net/${MASTER}/bonding/slaves 2>/dev/null
-+      fi
-+      exit 0
- fi
- if [ "$HANDLING" = "2" ]; then
-diff -urNp rc-scripts-0.4.13.orig/lib/ifup-bond rc-scripts-0.4.13/lib/ifup-bond
---- rc-scripts-0.4.13.orig/lib/ifup-bond       1970-01-01 00:00:00.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifup-bond    2015-02-06 13:42:15.349314244 +0000
-@@ -0,0 +1,75 @@
-+#!/bin/sh
-+#
-+#    ifup-bond - bonding configuration script
-+#    Copyright (C) 2014 Marcin Krol <hawk@tld-linux.org>
-+#
-+#    This program is free software; you can redistribute it and/or modify
-+#    it under the terms of the GNU General Public License as published by
-+#    the Free Software Foundation; either version 2 of the License, or
-+#    (at your option) any later version.
-+#
-+#    This program is distributed in the hope that it will be useful,
-+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-+#    GNU General Public License for more details.
-+#
-+#    You should have received a copy of the GNU General Public License
-+#    along with this program; if not, write to the Free Software
-+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-+#
-+#
-+PATH=/sbin:/usr/sbin:/bin:/usr/bin
-+
-+. /etc/sysconfig/network
-+. /etc/rc.d/init.d/functions
-+. /lib/rc-scripts/functions.network
-+
-+CONFIG=$1
-+source_config
-+
-+if [ "x${2}" = "xboot" ] && is_no "${ONBOOT}"; then
-+      exit
-+fi
-+
-+# check for bonding support
-+if [ ! -f /sys/class/net/bonding_masters ]; then
-+      modprobe -s bonding || exit 1
-+      # delete default bond0
-+      echo "-bond0" > /sys/class/net/bonding_masters
-+fi
-+
-+# set all major variables
-+setup_ip_param
-+
-+# create bonding master
-+if ! grep -wq "${DEVICE}" /sys/class/net/bonding_masters; then
-+      echo "+${DEVICE}" > /sys/class/net/bonding_masters
-+      if [ $? -eq 0 ]; then
-+              ip link set dev ${DEVICE} multicast ${MULTICAST} ${ARP}
-+      else
-+              exit 1
-+      fi
-+fi
-+
-+# add the bits to setup driver parameters here
-+# taken from Fedora initscripts
-+for arg in ${BONDING_OPTS} ; do
-+      key=${arg%%=*};
-+      value=${arg##*=};
-+      if [ "${key}" = "arp_ip_target" -a "${value:0:1}" != "+" ]; then
-+              OLDIFS=$IFS;
-+              IFS=',';
-+              for arp_ip in $value; do
-+                      if ! grep -q $arp_ip /sys/class/net/${DEVICE}/bonding/$key; then
-+                              echo +$arp_ip > /sys/class/net/${DEVICE}/bonding/$key
-+                      fi
-+              done
-+              IFS=$OLDIFS;
-+      elif [ "${key}" = "arp_ip_target" ]; then
-+              if ! grep -q ${value#+} /sys/class/net/${DEVICE}/bonding/$key; then
-+                      echo "$value" > /sys/class/net/${DEVICE}/bonding/$key
-+              fi
-+      elif [ "${key}" != "primary" ]; then
-+              echo $value > /sys/class/net/${DEVICE}/bonding/$key
-+      fi
-+done
-diff -urNp rc-scripts-0.4.13.orig/lib/Makefile.am rc-scripts-0.4.13/lib/Makefile.am
---- rc-scripts-0.4.13.orig/lib/Makefile.am     2013-11-02 20:50:20.000000000 +0000
-+++ rc-scripts-0.4.13/lib/Makefile.am  2015-02-06 13:42:15.349314244 +0000
-@@ -10,6 +10,7 @@ sbin_SCRIPTS = \
- scriptsdir = @exec_prefix@/lib/$(PACKAGE)
- scripts_SCRIPTS = \
-+      ifdown-bond \
-       ifdown-br \
-       ifdown-irda \
-       ifdown-ppp \
-@@ -17,6 +18,7 @@ scripts_SCRIPTS = \
-       ifdown-sl \
-       ifdown-vlan \
-       ifup-aliases \
-+      ifup-bond \
-       ifup-br \
-       ifup-ipx \
-       ifup-irda \
-diff -urNp rc-scripts-0.4.13.orig/lib/Makefile.in rc-scripts-0.4.13/lib/Makefile.in
---- rc-scripts-0.4.13.orig/lib/Makefile.in     2015-01-22 16:02:57.000000000 +0000
-+++ rc-scripts-0.4.13/lib/Makefile.in  2015-02-06 13:42:15.350314244 +0000
-@@ -256,6 +256,7 @@ sbin_SCRIPTS = \
- #scriptsdir = @networkscriptsdir@
- scriptsdir = @exec_prefix@/lib/$(PACKAGE)
- scripts_SCRIPTS = \
-+      ifdown-bond \
-       ifdown-br \
-       ifdown-irda \
-       ifdown-ppp \
-@@ -263,6 +264,7 @@ scripts_SCRIPTS = \
-       ifdown-sl \
-       ifdown-vlan \
-       ifup-aliases \
-+      ifup-bond \
-       ifup-br \
-       ifup-ipx \
-       ifup-irda \
diff --git a/rc-scripts-net-br.patch b/rc-scripts-net-br.patch
deleted file mode 100644 (file)
index 0911962..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/lib/ifup-br rc-scripts-0.4.13/lib/ifup-br
---- rc-scripts-0.4.13.orig/lib/ifup-br 2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/lib/ifup-br      2015-02-06 13:52:57.065314244 +0000
-@@ -65,20 +65,19 @@ done
- # standard
--[ -n "$AGEING" ] && brctl setageing "$AGEING"
--[ -n "$GCINT" ] && brctl setgcint "$GCINT"
-+[ -n "$AGEING" ] && brctl setageing ${DEVICE} "$AGEING"
- [ -n "$FD" ] && brctl setfd ${DEVICE} "$FD"
- # spanning tree protocol
- if is_yes "$SPANNING_TREE"; then
--      brctl stp ${DEVICE} yes
-+      brctl stp ${DEVICE} on
-       [ -n "$BRIDGEPRIO" ] && brctl setbridgeprio ${DEVICE} "$BRIDGEPRIO"
-       [ -n "$HELLO" ] && brctl sethello ${DEVICE} "$HELLO"
-       [ -n "$MAXAGE" ] && brctl setmaxage ${DEVICE} "$MAXAGE"
-       [ -n "$PATHCOST" -a -n "$PATHCOST_PORT" ] && brctl setpathcost ${DEVICE} "$PATHCOST_PORT" "$PATHCOST"
-       [ -n "$PORTPRIO" -a -n "$PORTPRIO_PORT" ] && brctl setportprio ${DEVICE} "$PORTPRIO_PORT" "$PORTPRIO"
- else
--      brctl stp ${DEVICE} no
-+      brctl stp ${DEVICE} off
- fi
- ip link set dev ${DEVICE} multicast ${MULTICAST} ${ARP}
diff --git a/rc-scripts-no_tmpfs_root_fsck.patch b/rc-scripts-no_tmpfs_root_fsck.patch
deleted file mode 100644 (file)
index 7852b0f..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc.sysinit rc-scripts-0.4.13/rc.d/rc.sysinit
---- rc-scripts-0.4.13.orig/rc.d/rc.sysinit     2015-02-06 13:30:49.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc.sysinit  2015-02-06 13:39:53.458314244 +0000
-@@ -602,7 +602,7 @@ if ! is_yes "$VSERVER" && [[ "$container
-       _ROOTFS_DEVICE=$(awk '($1 !~ /^#/ && $2 == "/" && NF >= 6) { print $1}' /etc/fstab)
-       _ROOTFS_TYPE=$(awk '$2 == "/" && $3 != "rootfs" { print $3 }' /proc/mounts 2>/dev/null)
--      if [ -z "$fastboot" -a "$_ROOTFS_TYPE" != "aufs" -a "$_ROOTFS_TYPE" != "nfs" -a "$_ROOTFS_TYPE" != "romfs" -a "$_ROOTFS_TYPE" != "squashfs" -a "$_ROOTFS_PASSNO" != 0 -a -e $_ROOTFS_DEVICE ] && [[ "$container" != lxc* ]]; then
-+      if [ -z "$fastboot" -a "$_ROOTFS_TYPE" != "aufs" -a "$_ROOTFS_TYPE" != "nfs" -a "$_ROOTFS_TYPE" != "romfs" -a "$_ROOTFS_TYPE" != "tmpfs" -a "$_ROOTFS_TYPE" != "squashfs" -a "$_ROOTFS_PASSNO" != 0 -a -e $_ROOTFS_DEVICE ] && [[ "$container" != lxc* ]]; then
-               check_root_fs
-       fi
diff --git a/rc-scripts-raid_lvm.patch b/rc-scripts-raid_lvm.patch
deleted file mode 100644 (file)
index 8173a1b..0000000
+++ /dev/null
@@ -1,110 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc.sysinit rc-scripts-0.4.13/rc.d/rc.sysinit
---- rc-scripts-0.4.13.orig/rc.d/rc.sysinit     2015-02-06 13:41:29.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc.sysinit  2015-02-06 13:53:26.288314244 +0000
-@@ -301,63 +301,26 @@ check_root_fs() {
-       fi
- }
--# mdadm - manage MD devices aka Linux Software RAID
-+# Init software RAID arrays
- init_mdadm() {
--      if [ ! -x /sbin/mdadm -o ! -f /etc/mdadm.conf ]; then
-+      local output
-+
-+      if [ ! -x /sbin/mdadm ]; then
-               return
-       fi
-       modprobe -s md
--      local rc=0 golvm=0 have_md=0
-       if [ ! -f /proc/mdstat ]; then
-               return
-       fi
--      # assume we have md if at least one ARRAY line is present
--      if grep -qE "^([[:blank:]]|)ARRAY[[:blank:]]" /etc/mdadm.conf; then
--              have_md=1
--      fi
--      # configured to do auto scanning
--      if [ $have_md = 0 ] && grep -qE "^([[:blank:]]|)DEVICE[[:blank:]]partitions" /etc/mdadm.conf; then
--              have_md=1
--      fi
--
--      # none found
--      if [ $have_md = 0 ]; then
--              return
--      fi
--
-       show "Starting up RAID devices"; busy
--      /sbin/mdadm --assemble --scan --auto=yes
--      rc=$?
--      if [ "$rc" -eq 0 -o "$rc" -eq 2 ]; then
--              # rc is used later too, so set sane value
--              rc=0
--              deltext; ok
--              golvm=1
--      else
--              deltext; fail
--      fi
--
--      # A non-zero return means there were problems
--      if [ $rc -gt 0 ]; then
--              [ -e /proc/splash ] && echo "verbose" > /proc/splash
--              show "Starting up RAID devices"; fail
--
--              PS1="$(nls '(RAID Repair)# ')"; export PS1
--              repair_shell "$(nls '*** An error occurred during the RAID startup.')"
--      fi
-+      output=$(/sbin/mdadm --assemble --scan 2>&1)
-+      ok
--      # LVM on RAID (keep in sync with LVM init)
--      if [ "$golvm" -eq "1" ]; then
--              if [ -x /sbin/vgscan -a -x /sbin/vgchange ]; then
--                      run_cmd "Scanning for LVM volume groups (on RAID)" /sbin/vgscan $lvmignorelocking
--                      run_cmd "Activating LVM volume groups (on RAID)" /sbin/vgchange -a y $lvmsysinit
--                      [ "$lvmversion" = "2" ] && /sbin/vgmknodes
--              fi
-+      if [ -n "$output" ]; then
-+              echo "$output"
-       fi
--      show "Starting up RAID devices"; ok
--      return $rc
- }
- # Init LVM
-@@ -390,8 +353,10 @@ init_lvm() {
-       run_cmd "Scanning for LVM volume groups" /sbin/vgscan $lvmignorelocking
-       run_cmd "Activating LVM volume groups" /sbin/vgchange -a y $lvmsysinit
-+
-       if [ "$lvmversion" = "2" ]; then
--              /sbin/vgmknodes $lvmignorelocking
-+              # silently refresh LV /dev nodes (just for case)
-+              /sbin/vgmknodes $lvmignorelocking 1>/dev/null 2>&1
-               # display VG statistics
-               /sbin/vgdisplay -s $lvmignorelocking
-       fi
-@@ -830,7 +795,10 @@ if ! is_yes "$VSERVER" && [[ "$container
-               fi
-       fi
--      # Init LVM
-+      if ! is_no "$MDADM"; then
-+              init_mdadm
-+      fi
-+
-       if ! is_no "$LVM2"; then
-               init_lvm
-       fi
-@@ -842,10 +810,6 @@ if ! is_yes "$VSERVER" && [[ "$container
-               [ $delay_cryptsetup = 0 ] && ok || fail
-       fi
--      if ! is_no "$MDADM"; then
--              init_mdadm
--      fi
--
-       _RUN_QUOTACHECK=0
-       # Check filesystems
-       if [ -z "$fastboot" ] && [ -z "$nofsck" ]; then
diff --git a/rc-scripts-selinuxfs_mount.patch b/rc-scripts-selinuxfs_mount.patch
deleted file mode 100644 (file)
index f447db0..0000000
+++ /dev/null
@@ -1,14 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc.sysinit rc-scripts-0.4.13/rc.d/rc.sysinit
---- rc-scripts-0.4.13.orig/rc.d/rc.sysinit     2015-02-06 13:39:53.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc.sysinit  2015-02-06 13:40:47.644314244 +0000
-@@ -127,9 +127,7 @@ init_selinux() {
-       if ! grep -Fq selinuxfs /proc/filesystems; then
-               # no support in kernel, no chance
-               SELINUX=no
--      fi
--
--      if ! is_fsmounted selinuxfs /selinux; then
-+      elif ! is_fsmounted selinuxfs /selinux; then
-               mount -n -o gid=17 -t selinuxfs selinuxfs /selinux
-       fi
diff --git a/rc-scripts-sh_fixes.patch b/rc-scripts-sh_fixes.patch
deleted file mode 100644 (file)
index 5b7ada0..0000000
+++ /dev/null
@@ -1,78 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/lib/functions rc-scripts-0.4.13/lib/functions
---- rc-scripts-0.4.13.orig/lib/functions       2015-02-06 13:30:49.000000000 +0000
-+++ rc-scripts-0.4.13/lib/functions    2015-02-06 13:41:29.629314244 +0000
-@@ -61,17 +61,6 @@ env_upstart=$USE_UPSTART
- [ -r /etc/sysconfig/system ] && . /etc/sysconfig/system
- [ -r /etc/sysconfig/bootsplash ] && . /etc/sysconfig/bootsplash
--# if initscript is invoked via bash, enable RedHat/Fedora compatibility
--# RC_FEDORA is "set" if enabled and "unset" when not, but it's "value" is always empty
--# this is useful for inline constructs
--if [ "${BASH_VERSION+set}" = "set" ]; then
--      RC_LOGGING=yes
--      FASTRC=no
--      RC_FEDORA=
--else
--      unset RC_FEDORA || :
--fi
--
- [ "$env_upstart" ] && USE_UPSTART=$env_upstart
- if [ -z "$VSERVER" -o "$VSERVER" = "detect" ]; then
-@@ -471,7 +460,7 @@ busy() {
- }
- ok() {
--      echo -ne "$_ok${RC_FEDORA+\\r}${RC_FEDORA-\\n}"
-+      echo "$_ok"
- }
- started() {
-@@ -479,7 +468,7 @@ started() {
- }
- fail() {
--      echo -ne "$_fail${RC_FEDORA+\\r}${RC_FEDORA-\\n}"
-+      echo "$_fail"
-       return 1
- }
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc rc-scripts-0.4.13/rc.d/rc
---- rc-scripts-0.4.13.orig/rc.d/rc     2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc  2015-02-06 13:41:29.630314244 +0000
-@@ -147,14 +147,15 @@ af7=$(termput op)
- text="$(termput op)$(nls '%sResource Manager: %sEntering runlevel number' "$af2" "$af7")"
- text_size="$(nls '%sResource Manager: %sEntering runlevel number' "" "")"
- resp_size="$(nls 'DONE')"
--{
--      local _len=${#text_size}
--      local _last_col=$(($INIT_COL+${#resp_size}-${#runlevel}))
--      while [ $((_len++)) -lt $_last_col ]; do
--              text="$text."
--      done
--      echo -n "$text"
--}
-+
-+_len=${#text_size}
-+_last_col=$(($INIT_COL+${#resp_size}-${#runlevel}))
-+while [ $((_len++)) -lt $_last_col ]; do
-+      text="$text."
-+done
-+echo -n "$text"
-+unset _len _last_col
-+
- echo "${af6}[${af2} $runlevel ${af6}]${af7}"
- # Is there an rc directory for this new runlevel?
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc.sysinit rc-scripts-0.4.13/rc.d/rc.sysinit
---- rc-scripts-0.4.13.orig/rc.d/rc.sysinit     2015-02-06 13:40:47.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc.sysinit  2015-02-06 13:41:29.632314244 +0000
-@@ -966,7 +966,7 @@ if ! is_yes "$VSERVER" && [[ "$container
-               . /etc/rc.d/rc.serial
-       fi
--      if [ -n "$PANIC_REBOOT_TIME" -a "$PANIC_REBOOT_TIME" -gt "0" -a -f /proc/sys/kernel/panic ]; then
-+      if [ -n "$PANIC_REBOOT_TIME" ] && [ "$PANIC_REBOOT_TIME" -gt "0" ] && [ -f /proc/sys/kernel/panic ]; then
-               show 'Setting %s seconds for kernel reboot after panic' "$PANIC_REBOOT_TIME"; busy
-               # DEPRECATED: use /etc/sysctl.conf or kernel commandline instead
-               if sysctl -q -w kernel.panic=$PANIC_REBOOT_TIME; then ok; else fail; fi
diff --git a/rc-scripts-tld.patch b/rc-scripts-tld.patch
deleted file mode 100644 (file)
index 1f30c9e..0000000
+++ /dev/null
@@ -1,214 +0,0 @@
-diff -urNp rc-scripts-0.4.13.orig/doc/net-scripts.txt rc-scripts-0.4.13/doc/net-scripts.txt
---- rc-scripts-0.4.13.orig/doc/net-scripts.txt 2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/doc/net-scripts.txt      2015-02-06 13:30:49.145314244 +0000
-@@ -145,11 +145,11 @@ Files in /etc/sysconfig/interfaces/
-     INITSCRIPT=<modem command>
-       string which initialises your modem. Usualy something like 
-       AT&F0&C1&D2
--      (PLD Linux rc-scripts specific option)
-+      (TLD Linux rc-scripts specific option)
-     DATAFORCHAT=<list of variables>
-       List of variables which should be exported to chat script.
-       Used mostly for passing USERNAME and PASSWORD into it. (see below)
--      (PLD Linux rc-scripts specific option)
-+      (TLD Linux rc-scripts specific option)
-     PEERDNS=yes|no
-     IPV6_PPP=yes|no
-       use IPv6 for ppp
-@@ -186,7 +186,7 @@ Files in /etc/sysconfig/interfaces/
-   the connection.  For SLIP devices, a DIP script is written
-   from the chat script; for PPP devices, the chat script is used
-   directly.
--  In PLD Linux version of rc-scripts, this file is parsed by shell
-+  In TLD Linux version of rc-scripts, this file is parsed by shell
-   (actually by grep in firstplace to get rid of comments) before it
-   is passed to chat.
-   This allows you to substitute shell variables with their values 
-diff -urNp rc-scripts-0.4.13.orig/doc/sysvinitfiles rc-scripts-0.4.13/doc/sysvinitfiles
---- rc-scripts-0.4.13.orig/doc/sysvinitfiles   2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/doc/sysvinitfiles        2015-02-06 13:30:49.145314244 +0000
-@@ -1,4 +1,4 @@
--Writing System V init scripts for PLD Linux
-+Writing System V init scripts for TLD Linux
- ===============================================
- All System V init scripts are named /etc/rc.d/init.d/<servicename>
-diff -urNp rc-scripts-0.4.13.orig/hwprofile rc-scripts-0.4.13/hwprofile
---- rc-scripts-0.4.13.orig/hwprofile   2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/hwprofile        2015-02-06 13:36:28.437314244 +0000
-@@ -42,9 +42,6 @@ no opts      - show help
- -f           - find proper profile and run it
- -l           - list configured profiles
- -q           - be quiet (used only in few modes)
--
--Please send all bug reports to:
--pld-rc-scripts@pld-linux.org.
- '
- }
-diff -urNp rc-scripts-0.4.13.orig/inittab rc-scripts-0.4.13/inittab
---- rc-scripts-0.4.13.orig/inittab     2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/inittab  2015-02-06 13:30:49.146314244 +0000
-@@ -7,7 +7,7 @@
- #             Modified for RHS Linux by Marc Ewing and Donnie Barnes
- #
--# Default runlevel. The runlevels used by PLD Linux are:
-+# Default runlevel. The runlevels used by TLD Linux are:
- #   0 - halt (Do NOT set initdefault to this)
- #   1 - Single user mode
- #   2 - Multiuser, without NFS (The same as 3, if you do not have networking)
-diff -urNp rc-scripts-0.4.13.orig/lib/functions rc-scripts-0.4.13/lib/functions
---- rc-scripts-0.4.13.orig/lib/functions       2015-01-22 16:01:15.000000000 +0000
-+++ rc-scripts-0.4.13/lib/functions    2015-02-06 13:30:49.147314244 +0000
-@@ -5,7 +5,7 @@
- #
- # Author:     Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
- # Hacked by:  Greg Galloway and Marc Ewing
--# Modified for PLD Linux by:
-+# Modified for TLD Linux by:
- #             Marek Obuchowicz <elephant@pld-linux.org>
- #             Arkadiusz Miśkiewicz <misiek@pld-linux.org>
- #             Michał Kochanowicz <mkochano@pld-linux.org>
-@@ -47,7 +47,7 @@ CDONE="$GREEN"               # DONE and WORK color
- CBUSY="$MAGENTA"      # BUSY color
- CFAIL="$RED"          # FAIL and DIED color
- CPOWEREDBY="$CYAN"    # "Powered by" color
--CPLD="$GREEN"         # "PLD Linux Distribution" color
-+CTLD="$GREEN"         # "TLD Linux" color
- CI="$RED"             # Capital I color (press I to enter interactive startup)
- CRESMAN="$GREEN"      # "Resource Manager" color
- CHARS=""              # Characters displayed on the beginning of show line
-@@ -422,7 +422,7 @@ msg_usage() {
-       nls "Usage: %s" "$*"
- }
--# Some functions to handle PLD Linux-style messages
-+# Some functions to handle TLD Linux-style messages
- show() {
-       local text len time
-diff -urNp rc-scripts-0.4.13.orig/po/de.po rc-scripts-0.4.13/po/de.po
---- rc-scripts-0.4.13.orig/po/de.po    2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/po/de.po 2015-02-06 13:30:49.147314244 +0000
-@@ -446,7 +446,7 @@ msgid " in cpuset %s..."
- msgstr ""
- #: .././rc.d/rc.sysinit:231
--msgid "\t\t\t%sPowered by %sPLD Linux Distribution%s"
-+msgid "\t\t\t%sPowered by %sTLD Linux%s"
- msgstr ""
- #: .././rc.d/init.d/netfs:154
-diff -urNp rc-scripts-0.4.13.orig/po/pl.po rc-scripts-0.4.13/po/pl.po
---- rc-scripts-0.4.13.orig/po/pl.po    2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/po/pl.po 2015-02-06 13:30:49.147314244 +0000
-@@ -443,8 +443,8 @@ msgid " in cpuset %s..."
- msgstr " w cpusecie %s..."
- #: .././rc.d/rc.sysinit:231
--msgid "\t\t\t%sPowered by %sPLD Linux Distribution%s"
--msgstr "\t\t\t%sNapędzane przez %sPLD Linux Distribution%s"
-+msgid "\t\t\t%sPowered by %sTLD Linux%s"
-+msgstr "\t\t\t%sNapędzane przez %sTLD Linux%s"
- #: .././rc.d/init.d/netfs:154
- msgid "Active NFS mountpoints: "
-diff -urNp rc-scripts-0.4.13.orig/po/rc-scripts.pot rc-scripts-0.4.13/po/rc-scripts.pot
---- rc-scripts-0.4.13.orig/po/rc-scripts.pot   2015-01-22 16:03:03.000000000 +0000
-+++ rc-scripts-0.4.13/po/rc-scripts.pot        2015-02-06 13:30:49.148314244 +0000
-@@ -76,7 +76,7 @@ msgid "%s for %s exiting"
- msgstr ""
- #: .././rc.d/rc.sysinit:462
--msgid "\t\t\t%sPowered by %sPLD Linux Distribution%s"
-+msgid "\t\t\t%sPowered by %sTLD Linux%s"
- msgstr ""
- #: .././rc.d/init.d/netfs:138
-diff -urNp rc-scripts-0.4.13.orig/rc.d/rc.sysinit rc-scripts-0.4.13/rc.d/rc.sysinit
---- rc-scripts-0.4.13.orig/rc.d/rc.sysinit     2015-01-22 16:01:18.000000000 +0000
-+++ rc-scripts-0.4.13/rc.d/rc.sysinit  2015-02-06 13:30:49.149314244 +0000
-@@ -429,7 +429,7 @@ if ! is_yes "$VSERVER" && [[ "$container
-       init_selinux
--      # PLD Linux LiveCD support
-+      # TLD Linux LiveCD support
-       if [ -x /etc/rc.d/rc.live ]; then
-               /etc/rc.d/rc.live
-       fi
-@@ -460,7 +460,7 @@ fi
- # Print welcome message
--nls "\t\t\t%sPowered by %sPLD Linux Distribution%s" "$(termput setaf $CPOWEREDBY)" "$(termput setaf $CPLD)" "$(termput op)"
-+nls "\t\t\t%sPowered by %sTLD Linux%s" "$(termput setaf $CPOWEREDBY)" "$(termput setaf $CTLD)" "$(termput op)"
- if ! is_no "$RC_PROMPT"; then
-       nls -n "\t\t  Press %sI%s to enter interactive startup" "$(termput setaf $CI)" "$(termput op)"
-       echo
-diff -urNp rc-scripts-0.4.13.orig/service rc-scripts-0.4.13/service
---- rc-scripts-0.4.13.orig/service     2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/service  2015-02-06 13:32:51.048314244 +0000
-@@ -123,7 +123,7 @@ status_all() {
-       done
- }
--VERSION="$(basename $0) ver. 0.91-pld"
-+VERSION="$(basename $0) ver. 1.0-tld"
- USAGE="Usage: $(basename $0) < option > | --status-all | \
- [ service_name [ command | --full-restart ] ]"
-diff -urNp rc-scripts-0.4.13.orig/src/setuidgid.c rc-scripts-0.4.13/src/setuidgid.c
---- rc-scripts-0.4.13.orig/src/setuidgid.c     2013-11-02 20:50:20.000000000 +0000
-+++ rc-scripts-0.4.13/src/setuidgid.c  2015-02-06 13:30:49.149314244 +0000
-@@ -47,7 +47,7 @@ void die2(const char *msg1, const char *
-       exit(1);
- }
- void show_version() {
--      fprintf(stderr, "%s $Rev$ (PLD Linux rc-scripts)\n", progname);
-+      fprintf(stderr, "%s $Rev$ (TLD Linux rc-scripts)\n", progname);
- }
- void version() {
-       show_version();
-diff -urNp rc-scripts-0.4.13.orig/sysconfig/init-colors rc-scripts-0.4.13/sysconfig/init-colors
---- rc-scripts-0.4.13.orig/sysconfig/init-colors       2013-11-02 20:50:20.000000000 +0000
-+++ rc-scripts-0.4.13/sysconfig/init-colors    2015-02-06 13:30:49.149314244 +0000
-@@ -1,11 +1,11 @@
--# Default PLD Linux colors.
-+# Default TLD Linux colors.
- CBRACKETS="$CYAN"     # brackets [ ] color
- CDONE="$GREEN"                # DONE and WORK color
- CBUSY="$MAGENTA"      # BUSY color
- CFAIL="$RED"          # FAIL and DIED color
- CPOWEREDBY="$CYAN"    # "Powered by" color
--CPLD="$GREEN"         # "PLD Linux Distribution" color
-+CTLD="$GREEN"         # "TLD Linux" color
- CI="$RED"             # Capital I color (press I to enter interactive startup)
- CRESMAN="$GREEN"      # "Resource Manager" color
- CHARS=""              # Characters displayed on the beginning of show line
-diff -urNp rc-scripts-0.4.13.orig/sysconfig/init-colors.gentoo rc-scripts-0.4.13/sysconfig/init-colors.gentoo
---- rc-scripts-0.4.13.orig/sysconfig/init-colors.gentoo        2013-11-02 20:50:20.000000000 +0000
-+++ rc-scripts-0.4.13/sysconfig/init-colors.gentoo     2015-02-06 13:30:49.149314244 +0000
-@@ -5,7 +5,7 @@ CDONE="$GREEN $BOLD"           # DONE and WORK co
- CBUSY="$MAGENTA $BOLD"                # BUSY color
- CFAIL="$RED $BOLD"            # FAIL and DIED color
- CPOWEREDBY="$BLUE $BOLD"      # "Powered by" color
--CPLD="$GREEN $BOLD"           # "PLD Linux Distribution" color
-+CTLD="$GREEN $BOLD"           # "TLD Linux" color
- CI="$RED $BOLD"                       # Capital I color (press I to enter interactive startup)
- CRESMAN="$GREEN $BOLD"                # "Resource Manager" color
- CHARS=" * "                   # Characters displayed on the beginning of show line
-diff -urNp rc-scripts-0.4.13.orig/sysconfig/network rc-scripts-0.4.13/sysconfig/network
---- rc-scripts-0.4.13.orig/sysconfig/network   2014-06-10 06:55:19.000000000 +0000
-+++ rc-scripts-0.4.13/sysconfig/network        2015-02-06 13:30:49.151314244 +0000
-@@ -11,7 +11,7 @@ IPV4_NETWORKING=yes
- # then set it in /etc/sysctl.conf
- # Set hostname here
--HOSTNAME=pldmachine
-+HOSTNAME=tldlinux
- # Allow udev to create /etc/sysconfig/interfaces/ifcfg-* automatically?
- # See /lib/udev/net_helper for details.
index ae4a0f2883e6ccf2b3daa0785272eb1936d56721..6a79a88e8521d9dfca68c262410342d02e1474fe 100644 (file)
@@ -7,20 +7,12 @@ Summary(fr.UTF-8):    inittab et scripts /etc/rc.d
 Summary(pl.UTF-8):     inittab i skrypty startowe z katalogu /etc/rc.d
 Summary(tr.UTF-8):     inittab ve /etc/rc.d dosyaları
 Name:          rc-scripts
-Version:       0.4.13
+Version:       0.4.14
 Release:       1
 License:       GPL v2
 Group:         Base
 Source0:       %{name}-%{version}.tar.gz
-# Source0-md5: 7df99aa887070a0d83a0daa28bf7deb9
-Patch100:      %{name}-tld.patch
-Patch101:      %{name}-no_tmpfs_root_fsck.patch
-Patch102:      %{name}-selinuxfs_mount.patch
-Patch103:      %{name}-sh_fixes.patch
-Patch104:      %{name}-net-bond.patch
-Patch105:      %{name}-net-br.patch
-Patch106:      %{name}-raid_lvm.patch
-Patch107:      %{name}-misc.patch
+# Source0-md5: 9af2c9ad35256876952cff4ec5885e15
 URL:           http://svn.pld-linux.org/trac/svn/wiki/packages/rc-scripts
 BuildRequires: autoconf
 BuildRequires: automake
@@ -112,14 +104,6 @@ programcıklar içerir.
 
 %prep
 %setup -q
-%patch100 -p1
-%patch101 -p1
-%patch102 -p1
-%patch103 -p1
-%patch104 -p1
-%patch105 -p1
-%patch106 -p1
-%patch107 -p1
 
 # hack, currently this results in errno@@GLIBC_PRIVATE symbol in ppp-watch:
 #GLIB_LIBS="-Wl,-static `$PKG_CONFIG --libs --static glib-2.0` -Wl,-Bdynamic"
@@ -238,18 +222,6 @@ done
 /etc/init.d
 /etc/rc.d/init.d/functions
 
-%config(noreplace) %verify(not md5 mtime size) /etc/init/allowlogin.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/cpusets.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/cryptsetup.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/local.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/modules.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/random.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/rc.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/rcS-sulogin.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/rcS.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/sys-chroots.conf
-%config(noreplace) %verify(not md5 mtime size) /etc/init/udev.conf
-
 %attr(754,root,root) /etc/rc.d/init.d/allowlogin
 %attr(754,root,root) /etc/rc.d/init.d/cpusets
 %attr(754,root,root) /etc/rc.d/init.d/cryptsetup